package it.unibo.stradivarius.database;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;

import java.util.List;

@Dao
public interface GradesDao {

    @Insert
    void insertNew(Grades... users);

    @Query("SELECT * FROM Grades")
    List<Grades> getAll();

    @Delete
    void delete(Grades grades);

    @Query("SELECT * FROM Grades WHERE grade = 30")
    List<Grades> getThirty();

}
